Bug 167817 - [patch] games/xonotic: respect STRIP
Summary: [patch] games/xonotic: respect STRIP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-12 09:10 UTC by Jan Beich
Modified: 2012-05-12 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2012-05-12 09:10:14 UTC

How-To-Repeat: $ make install WITH_DEBUG=
$ file /usr/local/bin/xonotic-sdl
/usr/local/bin/xonotic-sdl: ELF 64-bit LSB executable, x86-64, version 1 (FreeBSD), dynamically linked (uses shared libs), for FreeBSD 10.0 (1000012), stripped
--- strip.diff begins here ---
Index: games/xonotic/Makefile
===================================================================
RCS file: /a/.csup/ports/games/xonotic/Makefile,v
retrieving revision 1.42
diff -u -p -r1.42 Makefile
--- games/xonotic/Makefile	18 Mar 2012 22:59:00 -0000	1.42
+++ games/xonotic/Makefile	12 May 2012 08:04:02 -0000
@@ -25,6 +25,7 @@ WRKSRC=		${WRKDIR}/Xonotic/source/darkpl
 MAKEFILE=	BSDmakefile
 MAKE_ARGS=	DP_FS_BASEDIR="${DATADIR}" \
 		DP_PRELOAD_DEPENDENCIES=yes \
+		STRIP="${STRIP_CMD}" \
 		CFLAGS_LIBJPEG="-I${LOCALBASE}/include -DLINK_TO_LIBJPEG" \
 		OPTIM_RELEASE="${CFLAGS} -fno-strict-aliasing -funroll-loops"
 MAKE_JOBS_UNSAFE=yes
--- strip.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2012-05-12 09:10:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-05-12 14:02:06 UTC
amdmi3      2012-05-12 13:01:55 UTC

  FreeBSD ports repository

  Modified files:
    games/steelstorm     Makefile 
    games/xonotic        Makefile 
    games/nexuiz         Makefile 
  Log:
  - Respect STRIP in games using darkplaces engine
  - While here, minor cleanup in nexuiz port
  
  PR:             ports/167817
  Submitted by:   Jan Beich <jbeich@tormail.org>
  
  Revision  Changes    Path
  1.40      +7 -6      ports/games/nexuiz/Makefile
  1.5       +1 -0      ports/games/steelstorm/Makefile
  1.43      +2 -1      ports/games/xonotic/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2012-05-12 14:02:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!